package com.bwie.config;

/**
 * @author gxb
 * @description TODO
 * @date 2023-11-29 11:50
 */

import lombok.Data;
import org.apache.http.HttpHost;
import org.elasticsearch.client.RestClient;
import org.elasticsearch.client.RestHighLevelClient;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 配置
 */
@Configuration
@ConfigurationProperties(prefix = "es")
@Data
public class EsConfig {
    private String host;
    private int port;
    private String scheme;
    //初始化
    @Bean
    public RestHighLevelClient restHighLevelClient(){
        return new RestHighLevelClient(RestClient.builder(new HttpHost(host,port,scheme)));
    }
}