package com.bwie.controller;

import com.bwie.common.domain.Log;
import com.bwie.common.domain.request.LogRequest;
import com.bwie.common.result.PageResult;
import com.bwie.common.result.Result;
import com.bwie.service.impl.EsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author gxb
 * @description TODO
 * @date 2024-01-03 16:38
 */
@RestController
public class EsController {
    @Autowired
    private EsService esService;
    /**
     * 多条件ES列表
     */
    @PostMapping("/loglist")
    public Result<List<Log>> loglist(@RequestBody LogRequest logRequest){
        return esService.loglist(logRequest);
    }
}
