package com.bwie.take;

import com.bwie.common.domain.Log;
import com.bwie.common.result.Result;
import com.bwie.feign.EsFeign;
import com.bwie.service.impl.EsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author gxb
 * @description TODO
 * @date 2024-01-03 16:39
 */
@Component
public class Mytake {
    @Autowired
    private EsService esService;
    @Autowired
    private EsFeign esFeign;
    @Scheduled(cron = "10 * * * * ?")
    public void take(){
        Result<List<Log>> listResult = esFeign.LogList();
        List<Log> data = listResult.getData();
        if (data!=null){
            System.out.println("定时器启动~~");
            esService.addBulk(data);
        }
    }
}
