package com.bwie.user.controller;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.user.service.impl.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author gxb
 * @description TODO
 * @date 2024-01-03 9:58
 */
@RestController
public class UserController {
    @Autowired
    private UserService userService;
    /**
     * 查询姓名
     */
    @PostMapping("/findName/{username}")
    public Result<User> findName(@PathVariable String username){
        return userService.findName(username);
    }
}
