package com.bwie.user.fatory;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.user.feign.RemoteUserService;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @author gxb
 * @description TODO
 * @date 2024-01-03 10:13
 */
@Component
public class RemoteUserFtroy implements FallbackFactory<RemoteUserService> {
    @Override
    public RemoteUserService create(Throwable cause) {
        return new RemoteUserService() {
            @Override
            public Result<User> findName(String username) {
                return Result.error("调用USER服务失败，系统繁忙，稍后重试");
            }
        };
    }
}
