package com.bwie.user.feign;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * @author gxb
 * @description TODO
 * @date 2024-01-03 10:03
 */
@FeignClient("bwie-user")
public interface RemoteUserService {
    /**
     * 查询姓名
     */
    @PostMapping("/findName/{username}")
    public Result<User> findName(@PathVariable String username);
}
