package com.bwie.item.mapper;

import com.bwie.common.domain.Item;
import com.bwie.common.domain.Log;
import com.bwie.common.domain.Middle;
import com.bwie.common.domain.Type;
import com.bwie.common.domain.request.Insertitem;
import com.bwie.common.domain.request.ItemRequest;
import com.bwie.common.domain.request.Update;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author gxb
 * @description TODO
 * @date 2024-01-03 10:28
 */
@Component
@Mapper
public interface ItemMapper {
    List<Item> ItemList(ItemRequest itemRequest);

    void Insertitem(Insertitem insertitem);

    void InsertType(Insertitem insertitem);

    List<Type> type();


    List<Middle> findBy(Integer itemId);

    void upd(Update update);

    void Ilog(Log log);

    Integer  upState(@Param("middleId") Integer middleId, @Param("state") Integer state);

    Middle findMiddle(Integer middleId);


    void upds(Update update);

    List<Log> LogList();


}
