package com.com.bwie.controller;

import com.bwie.common.constants.MqConstans;
import com.bwie.common.domain.Log;
import org.springframework.amqp.rabbit.connection.ConnectionFactory;
import org.springframework.amqp.rabbit.connection.CorrelationData;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.UUID;

/**
 * @author gxb
 * @description TODO
 * @date 2024-01-03 14:42
 */
@RestController
public class ProController {
    @Autowired
    private RabbitTemplate rabbitTemplate;



    @PostMapping("/InsertLog")
    public void InsertLog(@RequestBody Log log){
        System.out.println("开始创建对列");
        rabbitTemplate.convertAndSend(MqConstans.SENDCODEEXCHANGE,MqConstans.SENDCODEKEY,log,message -> {
            message.getMessageProperties().setMessageId(UUID.randomUUID().toString());
            return message;
        },new CorrelationData(UUID.randomUUID().toString()));
    }
}
